import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const otherName = await conductor.qbd.otherNames.update('80000001-1234567890', {
revisionNumber: '1721172183',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(otherName.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
other_name = conductor.qbd.other_names.update(
id="80000001-1234567890",
revision_number="1721172183",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(other_name.id)curl --request POST \
--url https://api.conductor.is/v1/quickbooks-desktop/other-names/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>' \
--header 'Content-Type: application/json' \
--data '
{
"revisionNumber": "1721172183",
"name": "John Doe",
"isActive": true,
"companyName": "Acme Corporation",
"salutation": "Dr.",
"firstName": "John",
"middleName": "A.",
"lastName": "Doe",
"address": {
"line1": "Conductor Labs Inc.",
"line2": "540 Market St.",
"line3": "Suite 100",
"line4": "",
"line5": "",
"city": "San Francisco",
"state": "CA",
"postalCode": "94110",
"country": "United States",
"note": "Conductor HQ"
},
"phone": "+1-555-123-4567",
"alternatePhone": "+1-555-987-6543",
"fax": "+1-555-555-1212",
"email": "other-name@example.com",
"contact": "Jane Smith",
"alternateContact": "Bob Johnson",
"accountNumber": "1010",
"note": "This employee is a key employee."
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conductor.is/v1/quickbooks-desktop/other-names/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'revisionNumber' => '1721172183',
'name' => 'John Doe',
'isActive' => true,
'companyName' => 'Acme Corporation',
'salutation' => 'Dr.',
'firstName' => 'John',
'middleName' => 'A.',
'lastName' => 'Doe',
'address' => [
'line1' => 'Conductor Labs Inc.',
'line2' => '540 Market St.',
'line3' => 'Suite 100',
'line4' => '',
'line5' => '',
'city' => 'San Francisco',
'state' => 'CA',
'postalCode' => '94110',
'country' => 'United States',
'note' => 'Conductor HQ'
],
'phone' => '+1-555-123-4567',
'alternatePhone' => '+1-555-987-6543',
'fax' => '+1-555-555-1212',
'email' => 'other-name@example.com',
'contact' => 'Jane Smith',
'alternateContact' => 'Bob Johnson',
'accountNumber' => '1010',
'note' => 'This employee is a key employee.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Conductor-End-User-Id: <conductor-end-user-id>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.conductor.is/v1/quickbooks-desktop/other-names/{id}"
payload := strings.NewReader("{\n \"revisionNumber\": \"1721172183\",\n \"name\": \"John Doe\",\n \"isActive\": true,\n \"companyName\": \"Acme Corporation\",\n \"salutation\": \"Dr.\",\n \"firstName\": \"John\",\n \"middleName\": \"A.\",\n \"lastName\": \"Doe\",\n \"address\": {\n \"line1\": \"Conductor Labs Inc.\",\n \"line2\": \"540 Market St.\",\n \"line3\": \"Suite 100\",\n \"line4\": \"\",\n \"line5\": \"\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"postalCode\": \"94110\",\n \"country\": \"United States\",\n \"note\": \"Conductor HQ\"\n },\n \"phone\": \"+1-555-123-4567\",\n \"alternatePhone\": \"+1-555-987-6543\",\n \"fax\": \"+1-555-555-1212\",\n \"email\": \"other-name@example.com\",\n \"contact\": \"Jane Smith\",\n \"alternateContact\": \"Bob Johnson\",\n \"accountNumber\": \"1010\",\n \"note\": \"This employee is a key employee.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Conductor-End-User-Id", "<conductor-end-user-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.conductor.is/v1/quickbooks-desktop/other-names/{id}")
.header("Conductor-End-User-Id", "<conductor-end-user-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"revisionNumber\": \"1721172183\",\n \"name\": \"John Doe\",\n \"isActive\": true,\n \"companyName\": \"Acme Corporation\",\n \"salutation\": \"Dr.\",\n \"firstName\": \"John\",\n \"middleName\": \"A.\",\n \"lastName\": \"Doe\",\n \"address\": {\n \"line1\": \"Conductor Labs Inc.\",\n \"line2\": \"540 Market St.\",\n \"line3\": \"Suite 100\",\n \"line4\": \"\",\n \"line5\": \"\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"postalCode\": \"94110\",\n \"country\": \"United States\",\n \"note\": \"Conductor HQ\"\n },\n \"phone\": \"+1-555-123-4567\",\n \"alternatePhone\": \"+1-555-987-6543\",\n \"fax\": \"+1-555-555-1212\",\n \"email\": \"other-name@example.com\",\n \"contact\": \"Jane Smith\",\n \"alternateContact\": \"Bob Johnson\",\n \"accountNumber\": \"1010\",\n \"note\": \"This employee is a key employee.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conductor.is/v1/quickbooks-desktop/other-names/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Conductor-End-User-Id"] = '<conductor-end-user-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"revisionNumber\": \"1721172183\",\n \"name\": \"John Doe\",\n \"isActive\": true,\n \"companyName\": \"Acme Corporation\",\n \"salutation\": \"Dr.\",\n \"firstName\": \"John\",\n \"middleName\": \"A.\",\n \"lastName\": \"Doe\",\n \"address\": {\n \"line1\": \"Conductor Labs Inc.\",\n \"line2\": \"540 Market St.\",\n \"line3\": \"Suite 100\",\n \"line4\": \"\",\n \"line5\": \"\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"postalCode\": \"94110\",\n \"country\": \"United States\",\n \"note\": \"Conductor HQ\"\n },\n \"phone\": \"+1-555-123-4567\",\n \"alternatePhone\": \"+1-555-987-6543\",\n \"fax\": \"+1-555-555-1212\",\n \"email\": \"other-name@example.com\",\n \"contact\": \"Jane Smith\",\n \"alternateContact\": \"Bob Johnson\",\n \"accountNumber\": \"1010\",\n \"note\": \"This employee is a key employee.\"\n}"
response = http.request(request)
puts response.read_body{
"id": "80000001-1234567890",
"objectType": "qbd_other_name",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"name": "John Doe",
"isActive": true,
"companyName": "Acme Corporation",
"salutation": "Dr.",
"firstName": "John",
"middleName": "A.",
"lastName": "Doe",
"address": {
"line1": "Conductor Labs Inc.",
"line2": "540 Market St.",
"line3": "Suite 100",
"line4": "",
"line5": "",
"city": "San Francisco",
"state": "CA",
"postalCode": "94110",
"country": "United States",
"note": "Conductor HQ"
},
"phone": "+1-555-123-4567",
"alternatePhone": "+1-555-987-6543",
"fax": "+1-555-555-1212",
"email": "other-name@example.com",
"contact": "Jane Smith",
"alternateContact": "Bob Johnson",
"accountNumber": "1010",
"note": "This employee is a key employee.",
"externalId": "12345678-abcd-1234-abcd-1234567890ab",
"customFields": [
{
"ownerId": "0",
"name": "Customer Rating",
"type": "string_1024_type",
"value": "Premium"
}
]
}Update an other-name
Updates an existing other-name.
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const otherName = await conductor.qbd.otherNames.update('80000001-1234567890', {
revisionNumber: '1721172183',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(otherName.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
other_name = conductor.qbd.other_names.update(
id="80000001-1234567890",
revision_number="1721172183",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(other_name.id)curl --request POST \
--url https://api.conductor.is/v1/quickbooks-desktop/other-names/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>' \
--header 'Content-Type: application/json' \
--data '
{
"revisionNumber": "1721172183",
"name": "John Doe",
"isActive": true,
"companyName": "Acme Corporation",
"salutation": "Dr.",
"firstName": "John",
"middleName": "A.",
"lastName": "Doe",
"address": {
"line1": "Conductor Labs Inc.",
"line2": "540 Market St.",
"line3": "Suite 100",
"line4": "",
"line5": "",
"city": "San Francisco",
"state": "CA",
"postalCode": "94110",
"country": "United States",
"note": "Conductor HQ"
},
"phone": "+1-555-123-4567",
"alternatePhone": "+1-555-987-6543",
"fax": "+1-555-555-1212",
"email": "other-name@example.com",
"contact": "Jane Smith",
"alternateContact": "Bob Johnson",
"accountNumber": "1010",
"note": "This employee is a key employee."
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conductor.is/v1/quickbooks-desktop/other-names/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'revisionNumber' => '1721172183',
'name' => 'John Doe',
'isActive' => true,
'companyName' => 'Acme Corporation',
'salutation' => 'Dr.',
'firstName' => 'John',
'middleName' => 'A.',
'lastName' => 'Doe',
'address' => [
'line1' => 'Conductor Labs Inc.',
'line2' => '540 Market St.',
'line3' => 'Suite 100',
'line4' => '',
'line5' => '',
'city' => 'San Francisco',
'state' => 'CA',
'postalCode' => '94110',
'country' => 'United States',
'note' => 'Conductor HQ'
],
'phone' => '+1-555-123-4567',
'alternatePhone' => '+1-555-987-6543',
'fax' => '+1-555-555-1212',
'email' => 'other-name@example.com',
'contact' => 'Jane Smith',
'alternateContact' => 'Bob Johnson',
'accountNumber' => '1010',
'note' => 'This employee is a key employee.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Conductor-End-User-Id: <conductor-end-user-id>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.conductor.is/v1/quickbooks-desktop/other-names/{id}"
payload := strings.NewReader("{\n \"revisionNumber\": \"1721172183\",\n \"name\": \"John Doe\",\n \"isActive\": true,\n \"companyName\": \"Acme Corporation\",\n \"salutation\": \"Dr.\",\n \"firstName\": \"John\",\n \"middleName\": \"A.\",\n \"lastName\": \"Doe\",\n \"address\": {\n \"line1\": \"Conductor Labs Inc.\",\n \"line2\": \"540 Market St.\",\n \"line3\": \"Suite 100\",\n \"line4\": \"\",\n \"line5\": \"\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"postalCode\": \"94110\",\n \"country\": \"United States\",\n \"note\": \"Conductor HQ\"\n },\n \"phone\": \"+1-555-123-4567\",\n \"alternatePhone\": \"+1-555-987-6543\",\n \"fax\": \"+1-555-555-1212\",\n \"email\": \"other-name@example.com\",\n \"contact\": \"Jane Smith\",\n \"alternateContact\": \"Bob Johnson\",\n \"accountNumber\": \"1010\",\n \"note\": \"This employee is a key employee.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Conductor-End-User-Id", "<conductor-end-user-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.conductor.is/v1/quickbooks-desktop/other-names/{id}")
.header("Conductor-End-User-Id", "<conductor-end-user-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"revisionNumber\": \"1721172183\",\n \"name\": \"John Doe\",\n \"isActive\": true,\n \"companyName\": \"Acme Corporation\",\n \"salutation\": \"Dr.\",\n \"firstName\": \"John\",\n \"middleName\": \"A.\",\n \"lastName\": \"Doe\",\n \"address\": {\n \"line1\": \"Conductor Labs Inc.\",\n \"line2\": \"540 Market St.\",\n \"line3\": \"Suite 100\",\n \"line4\": \"\",\n \"line5\": \"\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"postalCode\": \"94110\",\n \"country\": \"United States\",\n \"note\": \"Conductor HQ\"\n },\n \"phone\": \"+1-555-123-4567\",\n \"alternatePhone\": \"+1-555-987-6543\",\n \"fax\": \"+1-555-555-1212\",\n \"email\": \"other-name@example.com\",\n \"contact\": \"Jane Smith\",\n \"alternateContact\": \"Bob Johnson\",\n \"accountNumber\": \"1010\",\n \"note\": \"This employee is a key employee.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conductor.is/v1/quickbooks-desktop/other-names/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Conductor-End-User-Id"] = '<conductor-end-user-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"revisionNumber\": \"1721172183\",\n \"name\": \"John Doe\",\n \"isActive\": true,\n \"companyName\": \"Acme Corporation\",\n \"salutation\": \"Dr.\",\n \"firstName\": \"John\",\n \"middleName\": \"A.\",\n \"lastName\": \"Doe\",\n \"address\": {\n \"line1\": \"Conductor Labs Inc.\",\n \"line2\": \"540 Market St.\",\n \"line3\": \"Suite 100\",\n \"line4\": \"\",\n \"line5\": \"\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"postalCode\": \"94110\",\n \"country\": \"United States\",\n \"note\": \"Conductor HQ\"\n },\n \"phone\": \"+1-555-123-4567\",\n \"alternatePhone\": \"+1-555-987-6543\",\n \"fax\": \"+1-555-555-1212\",\n \"email\": \"other-name@example.com\",\n \"contact\": \"Jane Smith\",\n \"alternateContact\": \"Bob Johnson\",\n \"accountNumber\": \"1010\",\n \"note\": \"This employee is a key employee.\"\n}"
response = http.request(request)
puts response.read_body{
"id": "80000001-1234567890",
"objectType": "qbd_other_name",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"name": "John Doe",
"isActive": true,
"companyName": "Acme Corporation",
"salutation": "Dr.",
"firstName": "John",
"middleName": "A.",
"lastName": "Doe",
"address": {
"line1": "Conductor Labs Inc.",
"line2": "540 Market St.",
"line3": "Suite 100",
"line4": "",
"line5": "",
"city": "San Francisco",
"state": "CA",
"postalCode": "94110",
"country": "United States",
"note": "Conductor HQ"
},
"phone": "+1-555-123-4567",
"alternatePhone": "+1-555-987-6543",
"fax": "+1-555-555-1212",
"email": "other-name@example.com",
"contact": "Jane Smith",
"alternateContact": "Bob Johnson",
"accountNumber": "1010",
"note": "This employee is a key employee.",
"externalId": "12345678-abcd-1234-abcd-1234567890ab",
"customFields": [
{
"ownerId": "0",
"name": "Customer Rating",
"type": "string_1024_type",
"value": "Premium"
}
]
}Authorizations
Headers
Path Parameters
Body
The current QuickBooks-assigned revision number of the other-name object you are updating, which you can get by fetching the object first. Provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
"1721172183"
The case-insensitive unique name of this other-name, unique across all other-names.
NOTE: Other-names do not have a fullName field because they are not hierarchical objects, which is why name is unique for them but not for objects that have parents.
Maximum length: 41 characters.
41"John Doe"
The other-name's account number, which appears in the QuickBooks chart of accounts, reports, and graphs.
Note that if the "Use Account Numbers" preference is turned off in QuickBooks, the account number may not be visible in the user interface, but it can still be set and retrieved through the API.
Maximum length: 99 characters.
99"1010"
Response
Returns the updated other-name.
The current QuickBooks-assigned revision number of this other-name object, which changes each time the object is modified. When updating this object, you must provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
"1721172183"
The other-name's account number, which appears in the QuickBooks chart of accounts, reports, and graphs.
Note that if the "Use Account Numbers" preference is turned off in QuickBooks, the account number may not be visible in the user interface, but it can still be set and retrieved through the API.
"1010"

